Persona is no longer an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 731323 - Wrong URLs in the "Total" row at the bottom of tabular reports when JS is enabled and a user field is used for the vertical axis
: Wrong URLs in the "Total" row at the bottom of tabular reports when JS is ena...
Product: Bugzilla
Classification: Server Software
Component: Reporting/Charting (show other bugs)
: 4.2
: All All
: -- normal (vote)
: Bugzilla 4.2
Assigned To: Frédéric Buclin
: default-qa
: 738238 (view as bug list)
Depends on: 142394
  Show dependency treegraph
Reported: 2012-02-28 10:56 PST by jochen.mooser
Modified: 2012-03-22 08:12 PDT (History)
4 users (show)
LpSolit: approval+
LpSolit: approval4.2+
LpSolit: blocking4.2.1+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

patch, v1 (1.51 KB, patch)
2012-03-02 09:51 PST, Frédéric Buclin
no flags Details | Diff | Splinter Review
patch, v1.1 (1.64 KB, patch)
2012-03-02 11:06 PST, Frédéric Buclin
gerv: review+
Details | Diff | Splinter Review

Description jochen.mooser 2012-02-28 10:56:12 PST
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:10.0.2) Gecko/20100101 Firefox/10.0.2
Build ID: 20120215223356

Steps to reproduce:

Generate a report with a vertical and a horizontal value. This returns a 2 dimenaional table, with many fields having a count of bugzilla numbers inside. 
( e.g. generate with: vertical: QA contact, horizontal: Target milestone)
The table is generated and the number of bug entries in each case is correct. 
Also the total is correct. 

Actual results:

Now click on any number beside a QA contact ( e.g click on a person who has 3 entries): It returns the correct 3 bugzilla entries. There are 2 more entries for this Target Milestone but for different people.

Now click on the number at the bottom, (which here is 5 entries ) beside the name "Total". 

Expected results:

Now it should display the 5 entries from different QA people under this target milestone.
But it does show Zarro bugs found, so no entries are showed. 

Reason is that the formulated query contains: ...&qa_contact=Total&...
Due to that, it will never find any matching entry. This part should be removed when clicking on the bugs in the total line, then it works again.
Comment 1 jochen.mooser 2012-02-28 11:15:11 PST
Just found out: only the links on the bottom aren't working. 
The links on the left side are correctly working.
Comment 2 Frédéric Buclin 2012-02-28 12:33:11 PST
This was supposed to be fixed in bug 617676, but it still fails if the vertical axis is a user field. Note that it works fine when using the realname, though. If JS is disabled, URLs are correct too.
Comment 3 jochen.mooser 2012-02-29 03:10:48 PST
Found another problem: when having Product in X and Assignee in Y, then even the links inside the tables aren't working. But here I couldn't yet see the bug in the query.
Comment 4 Frédéric Buclin 2012-03-02 09:51:42 PST
Created attachment 602397 [details] [diff] [review]
patch, v1
Comment 5 Frédéric Buclin 2012-03-02 11:06:30 PST
Created attachment 602414 [details] [diff] [review]
patch, v1.1

My previous patch was wrong.
Comment 6 Gervase Markham [:gerv] 2012-03-06 05:24:54 PST
Comment on attachment 602414 [details] [diff] [review]
patch, v1.1

Definitely seems to improve things in the scenario described.

Comment 7 Frédéric Buclin 2012-03-06 13:07:22 PST
Committing to: bzr+ssh://
modified template/en/default/reports/report-table.html.tmpl
Committed revision 8147.

Committing to: bzr+ssh://
modified template/en/default/reports/report-table.html.tmpl
Committed revision 8045.
Comment 8 Frédéric Buclin 2012-03-22 08:12:37 PDT
*** Bug 738238 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.